package db

type CompanyApp struct {
	Id     int
	Name   string
	Key    string
	Secret string
	Cid    int64
}

type ImBase struct {
	Id              int
	AppId           int
	CompanyUserId   int64
	MultideviceType int64
	MsgHookUrl      string
}

type ImChatRoom struct {
	Id           int
	Creator      string
	Name         string
	Announcement string
	Ext          string
	Status       int
	Createtime   string
	Updatetime   string
}

type ImChatRoomUser struct {
	Id         int64
	RoomId     int64
	Operator   string
	Accid      string
	Role       int64
	Createtime string
	Updatetime string
}

type ImUserRelationship struct {
	Id         int
	Accid      string
	Appkey     string
	Faccid     string
	Type       int
	Msg        string
	Blacklist  int
	Mute       int
	Serverex   string
	Createtime string
	Updatetime string
}

type ImUser struct {
	Id             int64
	Accid          string
	Appkey         string
	Name           string
	Icon           string
	Token          string
	Sign           string
	Mobile         string
	Email          string
	Birth          string
	Gender         int64
	Valid          int64
	MuteEstoppel   int64
	MuteAudioVideo int64
	Ex             string
	Createtime     string
	Edition        string
}

type ImFriendRequest struct {
	Id         int
	Accid      string
	Appkey     string
	Faccid     string
	Status     int64
	Createtime string
	Updatetime string
}

type ImUserLogin struct {
	Id          int64
	UserId      int64
	LoginStatus int64
	Updatetime  string
	Platform    string
}
